<nz-card nzSize="small" [nzTitle]=" 'Citizen.Newspaper.Articles' | translate" [nzExtra]="newArticle" [nzLoading]="isLoading">

  <ul nz-list [nzDataSource]="filteredList" nzBordered>
    <li nz-list-item *ngFor="let item of filteredList" nzNoFlex >
      <div nz-row nzGutter="6">

        <div nz-col nzXs="24" nzSm="24" nzMd="16">
          <nz-tag *ngIf="isEditor === true && item.isPublished === true">{{ "Social.Community.Public" | translate }}</nz-tag>
          <nz-tag nzColor="gold" *ngIf="isEditor === true && item.isPublished === false">{{ "Social.Newspaper.Subscribers" | translate }}</nz-tag>
          <a [routerLink]="['/article', item.id]">{{ item.title }}</a>
        </div>

        <div nz-col nzXs="24" nzSm="24" nzMd="8" style="text-align: right;">
          <nz-tag nzColor="success" *ngIf="isEditor === true && item.isPublished === true">{{ "Citizen.Newspaper.Published" | translate }}</nz-tag>
          <nz-tag nzColor="warning" *ngIf="isEditor === true && item.isPublished === false">{{ "Social.Newspaper.Draft" | translate }}</nz-tag>

          <button class="button-basic"  nzShape="round" [routerLink]="['/article', item.id]" nz-tooltip="View" nzSize="small">
            <i class="fa-regular fa-eye"></i>
          </button>

          <button *ngIf="isEditor" class="button-basic" nz-button nzShape="round" [routerLink]="['/article', item.id, 'edit']"
            [nz-tooltip]="'Common.Buttons.Edit' | translate" nzSize="small">
            <i class="fa-regular fa-pen-to-square"></i>
          </button>

          <button *ngIf="canManage" class="button-basic" nz-button nzShape="round" [nz-tooltip]="'Common.Delete' | translate" style="color: red" nz-popconfirm
            [nzPopconfirmTitle]="'Social.Newspaper.deleteArticle' | translate" (nzOnConfirm)="delete(item.id)" nzSize="small">
            <i class="fa-solid fa-trash"></i>
          </button>
        </div>

      </div>
    </li>
  </ul>

  <nz-pagination *ngIf="list.length > 5" [(nzPageIndex)]="currentPage" [nzTotal]="list.length" (nzPageIndexChange)="filterDetailedList()"
    style="margin-top: 5px; text-align: right"></nz-pagination>

  <ng-template #newArticle>
    <button *ngIf="isEditor === true" nz-button nzShape="round" nzType="primary" nzJustify="center"
      [routerLink]="['/newspaper', newspaperId, 'article', 'create']">
      {{ "Social.Newspaper.writeNewArticle" | translate }}
    </button>
  </ng-template>
</nz-card>